#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	All
Summary:	IO::All of it to Graham and Damian
Summary(pl.UTF-8):	IO::All - wszystkie IO dla Grahama i Damiana
Name:		perl-IO-All
Version:	0.86
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b257d3f742867825d018e74f5a5d549b
URL:		http://search.cpan.org/dist/IO-All/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-File-ReadBackwards
BuildRequires:	perl-IO-String
BuildRequires:	perl-MLDBM
BuildRequires:	perl-Spiffy >= 0.19
%endif
Requires:	perl-mixin
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::All combines all of the best Perl IO modules into a single Spiffy
object oriented interface to greatly simplify your everyday Perl IO
idioms. It exports a single function called io, which returns a new
IO::All object. And that object can do it all!

The IO::All object is a proxy for IO::File, IO::Dir, IO::Socket,
IO::String, Tie::File and File::ReadBackwards. You can use most of the
methods found in these classes and in IO::Handle (which they all
inherit from). IO::All is easily subclassable. You can override any
methods and also add new methods of your own.

%description -l pl.UTF-8
IO::All łączy wszystkie najlepsze moduły Perla IO w pojedynczy
zorientowany obiektowo interfejs Spiffy, aby znacznie uprościć
codziennie używane idiomy IO. Eksportuje pojedynczą funkcję o nazwie
io, która zwraca nowy obiekt IO::All - i ten obiekt może robić to
wszystko!

Obiekt IO::All to proxy dla IO::File, IO::Dir, IO::Socket, IO::String,
Tie::File i File::ReadBackwards. Można używać większości z metod
obecnych w tych klasach oraz w IO::Handle (z którego one wszystkie
dziedziczą). IO::All może być łatwo użyty jako podklasa. Można
przykryć dowolne metody i dodać nowe, własne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/IO/All.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/IO/All.pm
%{perl_vendorlib}/IO/All
%{_mandir}/man3/IO::All*.3pm*
%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-All.git;a=log;h=master

* Fri Jun 12 2015 Jakub Bogusz <qboosh@pld-linux.org> 7bb855f
- use __rm macro

* Mon Jun 01 2015 Adam Osuchowski <adwol@pld-linux.org> 0459b9f
- up to 0.86

* Thu Oct 16 2014 Adam Osuchowski <adwol@pld-linux.org> bfc1e12
- up to 0.79

* Sun Feb 09 2014 Adam Osuchowski <adwol@pld-linux.org> 2d817dd
- up to 0.56
- bcond `tests' disabled by default (fail with File::Spec::Win32 module)

* Sun Jan 15 2012 zbyniu <zbyniu@pld-linux.org> 416b004
- up to 0.44

* Tue Sep 15 2009 amateja <amateja@pld-linux.org> e0420f9
- updated to 0.39

* Sat Mar 31 2007 Jakub Bogusz <qboosh@pld-linux.org> 3dd94e9
- generic URL

* Fri Mar 23 2007 Marcin Banasiak <marcin.banasiak@gmail.com> cf9d202
- updated to 0.36

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4f7001a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> cda164b
- converted to UTF-8

* Tue Aug 22 2006 Elan Ruusamäe <glen@pld-linux.org> 0af1966
- rel 1

* Wed Aug 09 2006 Maciej Pijanka <agaran@pld-linux.org> b40ef23
- up t0 0.35, rel 0.1, builds here

* Sun Feb 20 2005 radek <radek@pld-linux.org> 963a9c8
- release 2: t/absolute.t is back (EWORKSFORME; let's try on builders)
- Note: don't remove, it impedes debugging; mv in %prep is sufficient

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 08d1a78
- updated to 0.33
- disable t/absolute.t

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 072cc74
- formatting

* Fri Aug 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 51c0efa
- updated to 0.31

* Mon Aug 09 2004 ankry <ankry@pld-linux.org> 1950ebb
- R: perl-mixin, rel. 4

* Mon Aug 09 2004 radek <radek@pld-linux.org> a7f9d5b
- removed _noautoreq perl(mixin) (it's in the perl-mixin package)

* Mon Aug 09 2004 ankry <ankry@pld-linux.org> 5a8667c
- Any better solution? Rel. 2

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> afe6fc9
- updated to 0.30

